Bug 110038 - [CI][SHARDS] igt@kms_plane@plane-position-covered-pipe-[abc]-planes - fail - Failed assertion: !mismatch
Summary: [CI][SHARDS] igt@kms_plane@plane-position-covered-pipe-[abc]-planes - fail - ...
Status: NEW
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on: 103191
Blocks: 105978
  Show dependency treegraph
 
Reported: 2019-03-13 15:14 UTC by Martin Peres
Modified: 2019-08-21 02:13 UTC (History)
1 user (show)

See Also:
i915 platform: BXT, BYT, CFL, GLK, ICL, KBL, SKL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-03-13 15:14:44 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5729/shard-glk7/igt@kms_plane@plane-position-covered-pipe-b-planes.html

Starting subtest: plane-position-covered-pipe-B-planes
(kms_plane:4564) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:419:
(kms_plane:4564) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest plane-position-covered-pipe-B-planes failed.
Comment 1 CI Bug Log 2019-03-13 15:15:33 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* all machines: igt@kms_plane@plane-position-covered-pipe-[abc]-planes - fail - Failed assertion: !mismatch (No new failures associated)
Comment 2 Martin Peres 2019-04-09 12:21:55 UTC
This issue is happening on Gen9+ platforms.

The Gen9 platforms issues might be because of https://bugs.freedesktop.org/show_bug.cgi?id=103191. So let's wait for this to be fixed before investigating more.

As for Gen11, the failure happens every single run, so we have a real issue. Arek will detail what the test is doing, and what are the next steps.
Comment 3 Arek Hiler 2019-04-09 12:30:47 UTC
The test first grabs reference CRC from a pipe with primary plane being filled with green.

Then, for each non-primary plane, it sets up the pipe the following way:
1. primary plane is green but with 64x64px black square at position 100x100
2. the non-primary plane is set to be 64x64xpx green square at position 100x100, basically covering the black hole
3. compare the CRC of fully-green primary to CRC of the setup with the hole covered

This kept failing for 7th(!) plane on all our ICLs, but it was last seen 2 weeks ago.
Comment 4 Martin Peres 2019-04-09 12:38:07 UTC
The ICL issue where the 7th plane is behaving differently is surprising and cause for concern. The user impact could be that some windows on some compositors exhibit a different behaviour as other windows. This would warrant the highest priority.

However, the fact that this issue has not been seen in 2 weeks / 120 runs after being 100% reproducible indicates that this was the fallout of another issue which has already been fixed. Because of this, I'm dropping ICL from the list of platforms covered by this issue.

I am also dropping the priority to medium, as this bug will need to wait on 103191 to be fixed before further investigation. There is no point in weekly check ups.
Comment 5 CI Bug Log 2019-04-09 12:39:40 UTC
A CI Bug Log filter associated to this bug has been updated:

{- all machines: igt@kms_plane@plane-position-covered-pipe-[abc]-planes - fail - Failed assertion: !mismatch -}
{+ SKL BXT APL KBL GLK CFL WHL: igt@kms_plane@plane-position-covered-pipe-[abc]-planes - fail - Failed assertion: !mismatch +}

 No new failures caught with the new filter
Comment 6 CI Bug Log 2019-04-16 09:44:56 UTC
A CI Bug Log filter associated to this bug has been updated:

{- SKL BXT APL KBL GLK CFL WHL: igt@kms_plane@plane-position-covered-pipe-[abc]-planes - fail - Failed assertion: !mismatch -}
{+ BYT SKL BXT APL KBL GLK CFL WHL: igt@kms_plane@plane-position-covered-pipe-[abc]-planes - fail - Failed assertion: !mismatch +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_254/fi-byt-clapper/igt@kms_plane@plane-position-covered-pipe-a-planes.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_255/fi-byt-clapper/igt@kms_plane@plane-position-covered-pipe-a-planes.html
Comment 7 CI Bug Log 2019-05-02 10:24:47 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT SKL BXT APL KBL GLK CFL WHL: igt@kms_plane@plane-position-covered-pipe-[abc]-planes - fail - Failed assertion: !mismatch -}
{+ BYT SKL BXT APL KBL GLK CFL WHL: igt@kms_plane@plane-position-covered-pipe-[abc]-planes - fail - Failed assertion: !mismatch +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-u3/igt@kms_plane@plane-position-covered-pipe-b-planes.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-u3/igt@kms_plane@plane-position-covered-pipe-c-planes.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-y/igt@kms_plane@plane-position-covered-pipe-b-planes.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-y/igt@kms_plane@plane-position-covered-pipe-c-planes.html
Comment 8 CI Bug Log 2019-05-02 10:27:42 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT SKL BXT APL KBL GLK CFL WHL: igt@kms_plane@plane-position-covered-pipe-[abc]-planes - fail - Failed assertion: !mismatch -}
{+ BYT SKL BXT APL KBL GLK CFL WHL ICL: igt@kms_plane@plane-position-covered-pipe-[abc]-planes - fail - Failed assertion: !mismatch +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-u3/igt@kms_plane@plane-position-covered-pipe-b-planes.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-u3/igt@kms_plane@plane-position-covered-pipe-c-planes.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-y/igt@kms_plane@plane-position-covered-pipe-b-planes.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-y/igt@kms_plane@plane-position-covered-pipe-c-planes.html
Comment 9 CI Bug Log 2019-05-02 10:27:48 UTC
The CI Bug Log issue associated to this bug has been updated.

### Removed filters

* BYT SKL BXT APL KBL GLK CFL WHL: igt@kms_plane@plane-position-covered-pipe-[abc]-planes - fail - Failed assertion: !mismatch (added on 7 minutes ago)
Comment 10 Lakshmi 2019-05-02 10:29:05 UTC
(In reply to CI Bug Log from comment #8)
> A CI Bug Log filter associated to this bug has been updated:
> 
> {- BYT SKL BXT APL KBL GLK CFL WHL:
> igt@kms_plane@plane-position-covered-pipe-[abc]-planes - fail - Failed
> assertion: !mismatch -}
> {+ BYT SKL BXT APL KBL GLK CFL WHL ICL:
> igt@kms_plane@plane-position-covered-pipe-[abc]-planes - fail - Failed
> assertion: !mismatch +}
> 
> New failures caught by the filter:
> 
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-u3/
> igt@kms_plane@plane-position-covered-pipe-b-planes.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-u3/
> igt@kms_plane@plane-position-covered-pipe-c-planes.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-y/
> igt@kms_plane@plane-position-covered-pipe-b-planes.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_272/fi-icl-y/
> igt@kms_plane@plane-position-covered-pipe-c-planes.html

+ ICL
Comment 11 CI Bug Log 2019-05-13 08:04:06 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT SKL BXT APL KBL GLK CFL WHL ICL: igt@kms_plane@plane-position-covered-pipe-[abc]-planes - fail - Failed assertion: !mismatch -}
{+ BYT SKL BXT APL KBL GLK CML CFL WHL ICL: igt@kms_plane@plane-position-covered-pipe-[abc]-planes - fail - Failed assertion: !mismatch +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_283/fi-cml-u/igt@kms_plane@plane-position-covered-pipe-c-planes.html


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.